org.omg.Dynamic

## Class Parameter

- java.lang.Object
- - org.omg.Dynamic.Parameter

- All Implemented Interfaces:
    Serializable, IDLEntity

      public final class Parameter
      extends Object
      implements IDLEntity

  org/omg/Dynamic/Parameter.java . Generated by the IDL-to-Java compiler (portable), version "3.2" from ../../../../src/share/classes/org/omg/PortableInterceptor/Interceptors.idl Saturday, November 15, 2014 4:31:40 PM GMT

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Any` | `argument`
    `ParameterMode` | `mode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Parameter()`
    `Parameter(Any _argument, ParameterMode _mode)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### argument

          public Any argument

    - #### mode

          public ParameterMode mode

  - ### Constructor Detail

    - #### Parameter

          public Parameter()

    - #### Parameter

          public Parameter(Any _argument,
                   ParameterMode _mode)

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.